> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a transactional email

> Update a transactional email's name, group, or configuration in Loops without affecting its current published email message or active sends.

## Request

### Path parameters

<ParamField path="id" type="string" required>
  The ID of the transactional email.
</ParamField>

### Body

<ParamField body="name" type="string">
  The name of the transactional email.
</ParamField>

<ParamField body="transactionalGroupId" type="string">
  The ID of the group to move this transactional email to.
</ParamField>

## Response

### Success

<ResponseField name="id" type="string" required>
  The transactional email ID.
</ResponseField>

<ResponseField name="name" type="string" required>
  The transactional email name.
</ResponseField>

<ResponseField name="draftEmailMessageId" type="nullable string" required>
  The ID of the draft email message, if one exists.
</ResponseField>

<ResponseField name="publishedEmailMessageId" type="nullable string" required>
  The ID of the published email message, if one exists.
</ResponseField>

<ResponseField name="transactionalGroupId" type="nullable string" required>
  The ID of the group this transactional email belongs to.
</ResponseField>

<ResponseField name="createdAt" type="string" required>
  ISO 8601 timestamp for when the transactional email was created.
</ResponseField>

<ResponseField name="updatedAt" type="string" required>
  ISO 8601 timestamp for when the transactional email was last updated.
</ResponseField>

<ResponseField name="dataVariables" type="array" required>
  Data variable names used by the published email. Empty for unpublished
  transactional emails.
</ResponseField>

### Error

If the request body is invalid, or if `id` is invalid, a
`400 Bad Request` is returned.

A `404 Not Found` is returned if the transactional email does not exist.

If the API key is invalid (or content API is not enabled for your team), a
`401 Unauthorized` is returned.

<ResponseField name="message" type="string" required>
  An error message describing what went wrong.
</ResponseField>

<ResponseExample>
  ```json Response theme={"dark"}
  {
    "id": "cmnx1d95z001llilji4vapgqs",
    "name": "Welcome email v2",
    "draftEmailMessageId": "cmn5zia4i0017tzli8ric8giv",
    "publishedEmailMessageId": "cmn5bia4i0217tzli8ric8giv",
    "transactionalGroupId": "tgrp_01hxyz",
    "createdAt": "2026-03-28T15:00:00.000Z",
    "updatedAt": "2026-03-28T15:15:00.000Z",
    "dataVariables": [
      "firstName",
      "lastName"
    ]
  }
  ```

  ```json Error response theme={"dark"}
  {
    "message": "Transactional email not found."
  }
  ```
</ResponseExample>
